cascading.tuple.hadoop.io

## Class KeyIndexTupleSerializer

- java.lang.Object
- - cascading.tuple.hadoop.io.IndexTupleSerializer<KeyIndexTuple>
  - - cascading.tuple.hadoop.io.KeyIndexTupleSerializer

- All Implemented Interfaces:
    Serializer<KeyIndexTuple>

      public class KeyIndexTupleSerializer
      extends IndexTupleSerializer<KeyIndexTuple>

- - ### Field Summary

    - ### Fields inherited from class cascading.tuple.hadoop.io.IndexTupleSerializer

      `typeMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyIndexTupleSerializer(TupleSerialization.SerializationElementWriter elementWriter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `open(OutputStream out)`
    `protected void` | `setWriters(Fields fields)`

    - ### Methods inherited from class cascading.tuple.hadoop.io.IndexTupleSerializer

      `getTypesFor, serialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyIndexTupleSerializer

          public KeyIndexTupleSerializer(TupleSerialization.SerializationElementWriter elementWriter)

  - ### Method Detail

    - #### setWriters

          protected void setWriters(Fields fields)

    - #### open

          public void open(OutputStream out)

      Specified by:
        `open` in interface `Serializer<T extends Tuple>`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Serializer<T extends Tuple>`
      Throws:
        `IOException`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.